<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- Copy everything not matched by another rule -->
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:apply-templates />
    </xsl:copy>
  </xsl:template>
  <!-- New map! :) -->
  <xsl:template match="/island">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:attribute name="map">TheGearChapter</xsl:attribute>
      <xsl:attribute name="name">.5: The Gear Chapter </xsl:attribute>
      <xsl:apply-templates />
  <!-- Delete existing levels -->

  <!-- add new levels -->
  <level id="Geargiarsenal" 
	    name="LEVEL_NAME_GEARGIARSENAL"
		text="LEVEL_TEXT_GEARGIARSENAL"
		ocd="moves,1"
           cutscene="x,TheGearChapter,gootransition_out"
		/>
		
	<level id="Uncap" depends="Geargiarsenal"
	    name="LEVEL_NAME_UNCAP"
		text="LEVEL_TEXT_UNCAP"
		ocd="balls,9"
		/>
	
	<level id="GearChamberlain" depends="Uncap"
	    name="LEVEL_NAME_GEARCHAMBERLAIN"
		text="LEVEL_TEXT_GEARCHAMBERLAIN"                                                                                                                            
		ocd="moves,1"
    		/>
		
	<level id="WeightRegulation" depends="GearChamberlain"
	    name="LEVEL_NAME_WEIGHTREGULATION"
		text="LEVEL_TEXT_WEIGHTREGULATION"
		ocd="balls,5"
		/>
	
	<level id="Elevator" depends="WeightRegulation"
	    name="LEVEL_NAME_ELEVATOR"
		text="LEVEL_TEXT_ELEVATOR"
		ocd="balls,13"
		/>
		
	<level id="RotaryClub" depends="Elevator"
	    name="LEVEL_NAME_ROTARYCLUB"
		text="LEVEL_TEXT_ROTARYCLUB"
		ocd="balls,23"
		/>
	
	<level id="NewMachineries" depends="RotaryClub"
	    name="LEVEL_NAME_NEWMACHINERIES"
		text="LEVEL_TEXT_NEWMACHINERIES"
		/>

	<level id="NotEnoughRoom" depends="NewMachineries"
	    name="LEVEL_NAME_NOTENOUGHROOM"
		text="LEVEL_TEXT_NOTENOUGHROOM"
           ocd="time,75"
		/>

	<level id="TheRazorsEdge" depends="NotEnoughRoom"
	    name="LEVEL_NAME_THERAZORSEDGE"
		text="LEVEL_TEXT_THERAZORSEDGE"
           ocd="balls,11"
		/>

	<level id="DestroyerOfWheels" depends="TheRazorsEdge"
	    name="LEVEL_NAME_DESTROYEROFWHEELS"
		text="LEVEL_TEXT_DESTROYEROFWHEELS"
		/>


            
    </xsl:copy>
  </xsl:template>
</xsl:transform>